SystemOrganization addCategory: #'MC2-Tests-Meta-Repository-Network'!

!MDMonticelloAdaptionTest methodsFor: '*mc2-tests-meta-repository-network' stamp: 'cwp 10/16/2009 16:22'!
testNetRepository
	self tryAdapting: (MDNetRepositoryElement for: (MDNetRepository host: 'testhost'))! !

MDRepositoryAdaptorTest subclass: #MDNetRepositoryAdaptorTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'MC2-Tests-Meta-Repository-Network'!

!MDNetRepositoryAdaptorTest methodsFor: 'constructing' stamp: 'cwp 10/18/2009 17:52'!
adaptorClass
	^ MDNetRepositoryAdaptor! !

!MDNetRepositoryAdaptorTest methodsFor: 'asserting' stamp: 'cwp 10/21/2009 23:30'!
assertObjectHasChanged
	self assert: self repository locator host = self changedValue.! !

!MDNetRepositoryAdaptorTest methodsFor: 'asserting' stamp: 'cwp 10/18/2009 22:47'!
assertObjectHasDefaultProperties
	self assert: self repository locator host = self host.
	self assert: self repository locator port = self port.! !

!MDNetRepositoryAdaptorTest methodsFor: 'accessing' stamp: 'cwp 10/18/2009 23:04'!
changedValue
	^ 'mc2.example.com'! !

!MDNetRepositoryAdaptorTest methodsFor: 'constructing' stamp: 'cwp 10/18/2009 22:50'!
createRepository
	^MDNetRepository
		id: self repositoryId
		host: self host
		port: self port! !

!MDNetRepositoryAdaptorTest methodsFor: 'configuration' stamp: 'cwp 10/18/2009 22:22'!
elementClass
	^ MDNetRepositoryElement! !

!MDNetRepositoryAdaptorTest methodsFor: 'accessing' stamp: 'cwp 10/18/2009 22:45'!
host
	^ 'source.example.com'! !

!MDNetRepositoryAdaptorTest methodsFor: 'accessing' stamp: 'cwp 10/18/2009 22:45'!
port
	^ 6102! !

!MDNetRepositoryAdaptorTest methodsFor: 'accessing' stamp: 'cwp 10/22/2009 14:41'!
properties
	^ MDPropertyDictionary new
		host: self host;
		port: self port;
		yourself! !

!MDNetRepositoryAdaptorTest methodsFor: 'accessing' stamp: 'cwp 10/18/2009 23:05'!
propertyToChange
	^ #host! !

!MDNetRepositoryAdaptorTest methodsFor: 'tests' stamp: 'cwp 10/21/2009 23:26'!
testChangePort
	| properties |
	self createObject.
	properties := self properties.
	properties port: 8888.
	self editDuring: [self adaptor load: properties].
	self assert: self repository locator port = 8888.! !
